/*
*  rcfiles.h
*  RcFiles verze 0.2 cz
*  Knihovna pro prci s rc soubory
*  27.3.2002 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  Licence GNU/GPL2
*  posledni zmena 10.5.2002 - 01
*/

/* GetSections - vraci pri neuspechu NULL
*  pri uspechu ukazatel na pole stringu a pocet stringu v *pocet
*  rcfile je nazev souboru ve kterem hleda sekce
*/
char **GetSections(int *pocet, const char rcfile[]);

/* GetStrs - vraci pri neuspechu NULL
*  pri uspechu ukazatel na pole stringu a pocet stringu v *pocet
*  rcfile je nazev souboru ve kterem hleda sekci
*  sekce je jmeno sekce, ze ktere opise radky (prazdne ignoruje)
*/
extern char **GetStrs(int *pocet, const char rcfile[], const char sekce[]);

/* GetItem - vraci pri neuspechu NULL
*  pri uspechu ukazatel na string
*  rcfile je nazev souboru ve kterem hleda polozku
*  sekce je jmeno sekce, ze ktere opise polozku
*  polozka je jmeno polozky
*/
extern char *GetItem(const char rcfile[], const char sekce[], const char polozka[]);

/* IsComment - vraci Ano=1, Ne=0 */
extern int IsComment(const char s[]);

/* IsEmpty - vraci Ano=1, Ne=0 */
extern int IsEmpty(const char s[]);

/* IsSection - Ano=1, Ne=0, v sekce vraci jeji jmeno (max 49 znaku) */
extern int IsSection(const char s[], char sekce[]);

/* StripSp - orizne bile znaky na zacatku a na konci (vc. '\n') */
extern void StripSp(char s[]);
